- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# MidiKeyName Struct Reference

`#include <aeffectx.h>`

List of all members.

## Public Attributes
VstInt32 | thisProgramIndex
| 0 or greater: fill struct for this program index.
VstInt32 | thisKeyNumber
| 0 - 127. fill struct for this key number.
char | keyName [kVstMaxNameLen]
| key name, empty means regular key names
VstInt32 | reserved
| zero
VstInt32 | flags
| reserved, none defined yet, zero.

## Detailed Description

MIDI Key Description.

## Member Data Documentation

VstInt32 MidiKeyName::flags

reserved, none defined yet, zero.

char MidiKeyName::keyName[kVstMaxNameLen]

key name, empty means regular key names

VstInt32 MidiKeyName::reserved

zero

VstInt32 MidiKeyName::thisKeyNumber

0 - 127. fill struct for this key number.

VstInt32 MidiKeyName::thisProgramIndex

0 or greater: fill struct for this program index.

The documentation for this struct was generated from the following file:

- aeffectx.h

Empty

Copyright ©2006 Steinberg Media Technologies. All Rights Reserved.